package com.seeyon.apps.src_automatic.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import com.seeyon.ctp.common.exceptions.BusinessException;

public interface ISendNoteMsgDao {
	
//	获取需要发送短信的主表信息
	public List<Map<String,Object>> findNoteByDate(String date) throws BusinessException, SQLException;

//	获取需要发送短信的主表信息
	public List<Map<String,Object>> findNotesByFormId(String date) throws BusinessException, SQLException;

//	发送成功修改明细表中的发送状态为已发送
	public int updateNotesbySucceed(String result,String id) throws BusinessException, SQLException;
	
//	发送失败修改明细表中的发送状态为发送失败并且补充失败原因
	public int updateNotesbyDefeated(String result,String desc,String id) throws BusinessException, SQLException;
	
}
